Bug 50744 - postfix & mailman rpms don't mix
postfix & mailman rpms don't mix
Status: CLOSED DUPLICATE of bug 68707
Product: Red Hat Powertools
Classification: Retired
Component: postfix (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-02 15:12 EDT by Need Real Name
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:48:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-08-02 15:12:59 EDT
Description of Problem:

mailman doesn't like postfix, because postfix doesn't use
the gid 12 (mail), it seems postfix use 99 (nobody) as gid

every time a mail is sended to mailman it produces the following 
message:
This is the Postfix program at host safari.ksb-arg.com.

I'm sorry to have to inform you 
[snip]
The Postfix program

<emailarchives@ksb-arg.com>: Command died with status 2:
    "/var/mailman/mail/wrapper post emailarchives". Command output: 
Failure to
    exec script. WANTED gid 12, GOT gid 99.  (Reconfigure to take 99?)


the correct fix is to make postfix run as gid mail ?


How Reproducible:

100%

Steps to Reproduce:
1. install the postfix rpm (setup it)
2. install the mailman rpm (setup it & create a list)
3. mail to the list

Actual Results:

bounced message:
<emailarchives@ksb-arg.com>: Command died with status 2:
    "/var/mailman/mail/wrapper post emailarchives". Command output: 
Failure to
    exec script. WANTED gid 12, GOT gid 99.  (Reconfigure to take 99?)


Expected Results:

message go trough...


Additional Information:
	
none I can think off...
Comment 1 Bernhard Rosenkraenzer 2001-08-02 15:17:15 EDT
Install the Red Hat version of postfix, as found on http://rhcontrib.bero.org/
It runs as user mail and has always done so. Running anything as nobody is both 
a bad idea and a security problem.
Comment 2 Need Real Name 2001-08-03 08:27:19 EDT
ok, upgraded from postfix-20010202-4.i386.rpm (rh7.1 powertools) to postfix-
20010714-1pcre.i386.rpm (as found in http://rhcontrib.bero.org/) and pcre-3.4-
2.i386.rpm (as found in rawhide)...

still postfix (& mailman) complains:

This is the Postfix program at host safari.ksb-arg.com.

I'm sorry to have to inform you
[...]
The Postfix program

<emailarchives@ksb-arg.com>: Command died with status 2:
    "/var/mailman/mail/wrapper post emailarchives". Command output: Failure to
    exec script. WANTED gid 12, GOT gid 99.  (Reconfigure to take 99?)

Comment 3 Chris Ricker 2003-01-10 02:02:44 EST

*** This bug has been marked as a duplicate of 68707 ***
Comment 4 Red Hat Bugzilla 2006-02-21 13:48:04 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.